Mailinglist Archive: opensuse-factory (1029 mails)

< Previous Next >
Re: [opensuse-factory] Let's keep acroread for pure reasons of usability.
On Fri, Nov 8, 2013 at 5:40 PM, Per Jessen <per@xxxxxxxxxxxx> wrote:
Claudio Freire wrote:

On Fri, Nov 8, 2013 at 4:56 PM, Per Jessen <per@xxxxxxxxxxxx> wrote:
I disagree. The decision is a sign of consideration for the openSUSE
user. The people on this list have the necessary information for
evaluating the risk and avoiding any problems like this, but can you
say that for the average user? If you really want to run Adobe
Reader, install any suitable flavor of Windows in a Virtual Machine,
share your entire Linux disk with that VM, and boot it when you need
to process a PDF that okular cannot handle.

Larry, that is just not a viable alternative for the average user to
whom we should be catering. To anyone technically able, the lack of
acroread will only become a problem when it is no longer available
for
download or no longer runs on one's distro. I can work with that for
my purposes until open-source alternatives have (hopefully) matured
sufficiently, but Joe Bloggs and his grandmum cannot. I am repeating
myself, but I remain puzzled by the lack of consideration for the
openSUSE user, average or otherwise. I sincerely hope we/openSUSE
are not turning into an ivory tower.


It's not a lack of concern, it's a lack of power.

Adobe withdrew support. It's their software, their license.

Did they withdraw the license for us/openSUSE to ship it? If we are
prematurely withdrawing acroread from the distro, we are showing an
utter lack of concern for our users. I presume acroread already has
known security holes, but for those average users with a genuine need,
surely we should let them chose their poison rather than just take it
away. Just like with cigarettes and alcohol, put a big label on
acroread saying "dangerous/poisonous/deprecated/unsupported". What's
wrong with that?


Their license disallows modifications of the software. That means we
could not apply security patches even if we had a way to patch the
binary (say with reverse engineering or whatever).

Acroread may have known security holes. What makes it unacceptable as
a package now, and not before, is that now we KNOW those holes won't
be plugged. Ever.
--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
This Thread